curl --request GET \
--url https://api.plane.com/v1/payrolls \
--header 'Authorization: Bearer <token>'{
"payrolls": [
{
"id": "pr_abc123def456",
"type": "contractor",
"status": "processed",
"note": null,
"period": {
"starts": "2024-01-01",
"ends": "2024-01-15"
},
"totals": {
"amount": "25000.00",
"currency": "USD"
},
"items": [
{
"worker": "wr_xyz789",
"amount": "5000.00",
"currency": "USD"
}
]
},
{...},
{...}
]
}
Returns a list of payrolls in your Plane workspace.
curl --request GET \
--url https://api.plane.com/v1/payrolls \
--header 'Authorization: Bearer <token>'{
"payrolls": [
{
"id": "pr_abc123def456",
"type": "contractor",
"status": "processed",
"note": null,
"period": {
"starts": "2024-01-01",
"ends": "2024-01-15"
},
"totals": {
"amount": "25000.00",
"currency": "USD"
},
"items": [
{
"worker": "wr_xyz789",
"amount": "5000.00",
"currency": "USD"
}
]
},
{...},
{...}
]
}
starting_after is an object ID that defines your place in the
list. For instance, if you make a list request and receive 100 objects, ending with pr_foo,
your subsequent call can include starting_after=pr_foo in order to fetch the next page of the
list.ending_before is an object ID that defines your place in the list.
For instance, if you make a list request and receive 100 objects, starting with pr_bar, your
subsequent call can include ending_before=pr_bar in order to fetch the previous page of the
list.payrolls property that contains an array of up to limit payrolls, starting after payroll starting_after.
Each entry in the array is a separate payroll object. If no more payrolls are available, the resulting array will be empty.
{
"payrolls": [
{
"id": "pr_abc123def456",
"type": "contractor",
"status": "processed",
"note": null,
"period": {
"starts": "2024-01-01",
"ends": "2024-01-15"
},
"totals": {
"amount": "25000.00",
"currency": "USD"
},
"items": [
{
"worker": "wr_xyz789",
"amount": "5000.00",
"currency": "USD"
}
]
},
{...},
{...}
]
}
Was this page helpful?